Subject: Re: bug#33729: 27.0.50; Partial glyphs not rendered for Gujarati with Harfbuzz enabled (renders fine using m17n)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Dec 2018 18:00:58 +0200

> Date: Sun, 23 Dec 2018 15:51:09 +0200
> From: Khaled Hosny <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked]
> 
> > Are there any disadvantages in using the built-in support?  I mean,
> > why did you envision an Emacs-specific implementation in the first
> > place?
> 
> I thought, but I might be mistaken, that Emacs allow changing these
> character properties at runtime and someone might possibly want to use
> that to change some character property (e.g. make some PUA character a
> combining mark) and it would then be nice if HarfBuzz respected that. I
> admit that is very niche thing if possible at all, and I’m more than
> happy to let HarfBuzz use it default Unicode functions and simplify the
> Emacs integration code.

Right, I agree that we should for now leave that to HarfBuzz.  It
could be added later as an optional feature.  (I don't expect many
users to want to modify the Unicode character properties.)

Thanks.